.role-form-container {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-template-areas: ". .";
  font-family: "Roboto", sans-serif;
  .item-left {
    .docpets-logo {
      display: none;
    }
    .dog-banner {
      display: none;
    }
  }

  .item-right {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 5fr;
    gap: 0px 0px;
    grid-template-areas:
      "."
      ".";

    .form-containers {
      padding: 0 2.5rem;
      .role-text {
        text-align: center !important;
        font-weight: bold;
        color: #445e6b;
        padding-bottom: 0.5rem;
      }
      .role-icon {
        background-color: #ffffff;
        border: 0px;
        outline: none;
        :focus {
          outline: none;
        }
      }
      .role-text-down {
        text-align: center !important;
        font-size: 16px;
        font-weight: 400;
        font-style: normal;
        position: relative;
        padding-top: 1rem;
      }

      .btn-block-role {
        background-color: #fde84d !important;
        color: #445e6b !important;
        font-size: 20px !important;
        font-weight: bold !important;
        height: 60px !important;
        position: relative;
        margin-top: 1.5rem;
        border: 0px solid !important;
      }

      .signin-text {
        color: #fde84d !important;
        font-weight: bold !important;
      }
    }
  }
}

.navbar-right {
  display: flex;
  place-items: center;
  justify-content: end;
  padding: 1rem 2rem;
  .navbar-text-h6 {
    color: #445e6b;
    padding-bottom: 0;
    padding: 1rem 1rem;
    font-weight: bold;
  }
}

@media (max-width: 500px) {
  .navbar-right {
    padding: 1rem 0.5rem;
  }
  .role-form-container {
    display: flex-end;
    grid-template-columns: 1fr;
    padding: 1rem 0;
    .item-left {
      display: none;
    }
    .item-right {
      .form-containers {
        padding: 1rem;
      }
    }
  }
}

@media (min-width: 501px) and (max-width: 800px) {
  .role-form-container {
    display: flex;
    .item-left {
      .docpets-logo {
        position: absolute;
        display: grid;
        top: 10vh;
        left: 13rem;
        z-index: 99;
        align-items: center;
      }
      .dog-banner {
        display: grid;
        height: auto;
        overflow: hidden;
      }
    }
  }
}

@media (min-width: 801px) {
  .role-form-container {
    .item-left {
      .docpets-logo {
        position: absolute;
        display: grid;
        top: 10vh;
        left: 13rem;
        z-index: 99;
        align-items: center;
      }
      .dog-banner {
        display: grid;
        max-width: 100vw;
        overflow: hidden;
      }
    }
  }
}